Summary: Fix Bad Kernel Modules
Name: zz_fix_bad_km
Version: 1.0
Release: 2
License: GPL
Group: Fermi
BuildArch: noarch
Requires: sysklogd
Source: zz_fix_bad_km.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
There are some bad kernel modules out there.
This removes them from your system, and attempts to get them unloaded if
you already have them loaded.

%install
mkdir -p -m 700 %{buildroot}/usr/share/%{name}/
install -m 700 %{SOURCE0} %{buildroot}/usr/share/%{name}/zz_fix_bad_km.sh


%files
/usr/share/%{name}/zz_fix_bad_km.sh

%triggerin -- kernel
/usr/share/%{name}/zz_fix_bad_km.sh || :

%triggerin -- kernel-smp
/usr/share/%{name}/zz_fix_bad_km.sh || :

%triggerin -- kernel-largesmp
/usr/share/%{name}/zz_fix_bad_km.sh || :

%triggerin -- kernel-hugemem
/usr/share/%{name}/zz_fix_bad_km.sh || :

%triggerin -- kernel-xen
/usr/share/%{name}/zz_fix_bad_km.sh || :

%triggerin -- kernel-xenU
/usr/share/%{name}/zz_fix_bad_km.sh || :

%triggerin -- kernel-PAE
/usr/share/%{name}/zz_fix_bad_km.sh || :

%changelog
* Fri Aug 14 2009 Troy Dawson <dawson@fnal.gov> 1.0-2
- Updated so that the interactive output is better when
  a kernel module is attempted to be removed

* Fri Aug 14 2009 Troy Dawson <dawson@fnal.gov> 1.0-1
- First go round, this is originally based off 
  Stephan Wiesand's SL_wunderbar_workaround

